from typing import Generic, TypeVar

from ._reduce import *

__all__ = ('Reducer',)

Element = TypeVar('Element')
Out = TypeVar('Out')


class Reducer(Generic[Element, Out]):
    async def reduce(self, reduce: Reduce[Element, Out]) -> Out:
        raise NotImplementedError
