from rainbowadn.core import *
from .iatomic import *

__all__ = ('IUnit',)


class IUnit(IAtomic):
    @classmethod
    def size(cls) -> int:
        return 0

    @classmethod
    def _from_bytes(cls, source: bytes) -> 'IUnit':
        assert isinstance(source, bytes)
        assert_eq(len(source), 0)
        return IUnit()

    def __bytes__(self):
        return b''

    def __str__(self):
        return f'()'
